/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1993, William Cheng.
 *
 * Permission limited to the use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted by the Author without
 * fee, provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the Author not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.  All other
 * rights (including the right to sell "tgif" and the right to sell derivative
 * works of tgif) are reserved by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /amnt/kona/tangram/u/william/X11/TGIF2/RCS/mainmenu.e,v 2.2 1993/08/05 05:03:34 william Exp $
 */

#ifndef _MAINMENU_E_
#define _MAINMENU_E_

extern int	pinnedMainMenu;
extern int	mainMenuPinDistance;
extern int	mainMenuX;
extern int	mainMenuY;
extern int	mainMenuW;
extern int	mainMenuH;
extern Window	mainMenuWindow;

extern int	numStacking;
extern Window	* stackingWins;

extern void	InitMainMenu ARGS_DECL((void));
extern void	CleanUpMainMenu ARGS_DECL((void));
extern void	SaveMainWinPosition ARGS_DECL((unsigned int X, unsigned int Y));
extern void	MoveMainMenuWindow ARGS_DECL((unsigned int X, unsigned int Y));
extern void	RedrawMainMenuWindow ARGS_DECL((void));
extern int	MainMenuEventHandler ARGS_DECL((XEvent *));
extern void	SaveStackingOrder ARGS_DECL((void));
extern void	MoveSubMenuWindow ARGS_DECL((Window));
extern void	RealizeSubMenuWindow ARGS_DECL((int X, int Y, int W, int H));
extern void	UpdateSubMenu ARGS_DECL((int Index));
extern void	UpdateAllSubMenus ARGS_DECL((void));
extern void	DestroySubMenu ARGS_DECL((int Index));

#endif /*_MAINMENU_E_*/
